Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
'Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
'Imports CharterDotCom.CommonEntities.Library.EntityG2BServices
Imports CharterDotCom.CommonEntities.Library.Common
Imports CharterDotCom.WebSite.Library

Partial Class Controls_SupportArticle
	Inherits System.Web.UI.UserControl

  Dim _document As IHTMLDocument

	Public Property ArticleID() As Integer
		Get
			If ViewState(Me.ID & "_ArticleID") Is Nothing Then
				Return 0
			Else
				Return CType(ViewState(Me.ID & "_ArticleID"), Integer)
			End If
		End Get

		Set(ByVal value As Integer)
			ViewState(Me.ID & "_ArticleID") = value
		End Set
  End Property

  Public Property Document() As IHTMLDocument
    Get
      Return _document
    End Get
    Set(ByVal value As IHTMLDocument)
      _document = value
    End Set
  End Property

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If ArticleID > 0 Then
            If _document IsNot Nothing Then
                ltrContent.Text = _document.HTML
            End If
        End If
    End Sub

    'Protected Sub btnSend_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnSend.Click
    '	Dim _comment As IAddDocumentCommentsRequest

    '	_comment = New BLAddDocumentCommentsRequest()
    '	_comment.DocumentID = ArticleID
    '	_comment.Helpful = False
    '       '_comment.Comments = txtComment.Text ' keep rating, don't store comments
    '       _comment.Comments = ""
    '       If rdoComment.SelectedValue = "" Then
    '           _comment.Rating = 0
    '       Else
    '           _comment.Rating = CType(rdoComment.SelectedValue, Integer)
    '       End If
    '       _comment.CreatedBy = String.Empty

    '       SiteManager.Instance.AddDocumentComments(_comment)

    '       pnlBefore.Visible = False
    '       pnlAfter.Visible = True
    '   End Sub
End Class
